>From 994e29e4168903adbe2fb32083278715dfa209cf Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Fri, 19 Aug 2011 15:13:07 +0300
Subject: [carFl mem 21/65] Globalisation pass 1: pm49fl00x.c

This commit breaks builds until "Globalistation pass 1: fixes".

It does nothing more, just passes globals structure across function
calls.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 pm49fl00x.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/pm49fl00x.c b/pm49fl00x.c
index 4136b17..24d30e3 100644
--- a/pm49fl00x.c
+++ b/pm49fl00x.c
@@ -23,7 +23,7 @@
 #include "flash.h"
 #include "chipdrivers.h"
 
-static void write_lockbits_49fl00x(chipaddr bios, int size,
+static void write_lockbits_49fl00x(globals *g, chipaddr bios, int size,
 			    unsigned char bits, int block_size)
 {
 	int i, left = size;
@@ -33,18 +33,18 @@ static void write_lockbits_49fl00x(chipaddr bios, int size,
 		if (block_size == 16384 && i % 2)
 			continue;
 
-		chip_writeb(bits, bios + (i * block_size) + 2);
+		chip_writeb(g, bits, bios + (i * block_size) + 2);
 	}
 }
 
-int unlock_49fl00x(struct flashchip *flash)
+int unlock_49fl00x(globals *g, struct flashchip *flash)
 {
-	write_lockbits_49fl00x(flash->virtual_registers, flash->total_size * 1024, 0, flash->page_size);
+	write_lockbits_49fl00x(g, flash->virtual_registers, flash->total_size * 1024, 0, flash->page_size);
 	return 0;
 }
 
-int lock_49fl00x(struct flashchip *flash)
+int lock_49fl00x(globals *g, struct flashchip *flash)
 {
-	write_lockbits_49fl00x(flash->virtual_registers, flash->total_size * 1024, 1, flash->page_size);
+	write_lockbits_49fl00x(g, flash->virtual_registers, flash->total_size * 1024, 1, flash->page_size);
 	return 0;
 }
-- 
1.7.6

